Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.clearspace
Class ClearspaceMUCEventDelegate

    java.lang.Object
      org.jivesoftware.openfire.muc.MUCEventDelegate
          org.jivesoftware.openfire.clearspace.ClearspaceMUCEventDelegate

    public class ClearspaceMUCEventDelegate

extends MUCEventDelegate

Handles checking with Clearspace regarding whether a user can join a particular MUC room (based on their permissions with the Clearspace JiveObject (eg. Community/Space) that the room is associated with). In addition, this MUCEventDelegate provides a means to obtain room configuration details from Clearspace in the event that the Clearspace MUC service needs to create a room on-demand (eg. when a user first joins the room).

Author:
  Armando Jagucki

Nested Class Summary

Nested classes/interfaces inherited from class org.jivesoftware.openfire.muc.MUCEventDelegate
`MUCEventDelegate.InvitationResult`

Constructor Summary
`ClearspaceMUCEventDelegate()`

Method Summary
`boolean` | `destroyingRoom(String roomName, org.xmpp.packet.JID userjid)` This event will be triggered when an entity attempts to destroy a room.
`Map<String,String>` | `getRoomConfig(String roomName)` Returns a map containing room configuration variables and values.
`boolean` | `joiningRoom(MUCRoom room, org.xmpp.packet.JID userjid)` Returns true if the user is allowed to join the room.
`MUCEventDelegate.InvitationResult` | `sendingInvitation(MUCRoom room, org.xmpp.packet.JID invitee, org.xmpp.packet.JID inviter, String reason)` This event will be triggered when an entity attempts to invite someone to a room.
`boolean` | `shouldRecreate(String roomName, org.xmpp.packet.JID userjid)` Returns true if the room that is not present in the server should have existed and needs to be recreated.

Methods inherited from class org.jivesoftware.openfire.muc.MUCEventDelegate
`loadConfig`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClearspaceMUCEventDelegate

    public ClearspaceMUCEventDelegate()

Method Detail

### sendingInvitation

    public MUCEventDelegate.InvitationResult sendingInvitation(MUCRoom room,
                                                               org.xmpp.packet.JID invitee,
                                                               org.xmpp.packet.JID inviter,
                                                               String reason)

  Description copied from class: `MUCEventDelegate`
  This event will be triggered when an entity attempts to invite someone to a room. Returns a String indicating whether the invitation should be abandoned, handled by the delegate, or handled by openfire.

  Specified by:
    `sendingInvitation` in class `MUCEventDelegate`
  Parameters:
    `room` - the MUC room.
    `invitee` - the JID of the user the invitation will be sent to.
    `inviter` - the JID of the user that is sending the invitation
    `reason` - the (optional) message that is sent explaining the invitation
  Returns:
    true if the user is allowed to join the room.

### joiningRoom

    public boolean joiningRoom(MUCRoom room,
                               org.xmpp.packet.JID userjid)

  Returns true if the user is allowed to join the room. If the userjid is an owner of the room, we will return true immediately.

  Specified by:
    `joiningRoom` in class `MUCEventDelegate`
  Parameters:
    `room` - the room the user is attempting to join.
    `userjid` - the JID of the user attempting to join the room.
  Returns:
    true if the user is allowed to join the room.

### shouldRecreate

    public boolean shouldRecreate(String roomName,
                                  org.xmpp.packet.JID userjid)

  Description copied from class: `MUCEventDelegate`
  Returns true if the room that is not present in the server should have existed and needs to be recreated.

  Specified by:
    `shouldRecreate` in class `MUCEventDelegate`
  Parameters:
    `roomName` - name of the room.
    `userjid` - JID Of the user trying to join/create the room.
  Returns:
    true if the room that is not present in the server should have existed and needs to be recreated.

### getRoomConfig

    public Map<String,String> getRoomConfig(String roomName)

  Description copied from class: `MUCEventDelegate`
  Returns a map containing room configuration variables and values.

  Specified by:
    `getRoomConfig` in class `MUCEventDelegate`
  Parameters:
    `roomName` - the name of the room the configuration map is associated with.
  Returns:
    a map containing room configuration variables and values, or null if roomName was not valid.

### destroyingRoom

    public boolean destroyingRoom(String roomName,
                                  org.xmpp.packet.JID userjid)

  This event will be triggered when an entity attempts to destroy a room.

  Returns true if the user is allowed to destroy the room.

  Specified by:
    `destroyingRoom` in class `MUCEventDelegate`
  Parameters:
    `roomName` - the name of the MUC room being destroyed.
    `userjid` - the JID of the user attempting to destroy the room.
  Returns:
    true if the user is allowed to destroy the room.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.